> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les factures

> Renvoie les factures, de la plus récente à la plus ancienne.

Renvoie les factures, de la plus récente à la plus ancienne.

```json Réponse theme={null}
{
  "invoices": [
    {
      "id": 18,
      "reference": "FA-0018",
      "legalNumber": "2026-000118",
      "type": "STANDARD",
      "state": "DRAFT",
      "issuanceDate": "2026-07-28",
      "dueDate": "2026-08-27",
      "currencyCode": "EUR",
      "netToPay": 12750,
      "customer": {
        "id": 3,
        "name": "MecMar",
        "type": "CLIENT"
      },
      "site": {
        "id": 1,
        "name": "Atelier Nord"
      },
      "lines": [
        {
          "id": 41,
          "quantity": 150,
          "unitPrice": 85,
          "vatRate": 0.2,
          "article": {
            "code": "CAM-PEEK",
            "name": "Came PEEK"
          }
        }
      ]
    }
  ]
}
```


## OpenAPI

````yaml openapi.json GET /invoices
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /invoices:
    get:
      summary: List invoices
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  invoices:
                    items:
                      nullable: false
                      properties:
                        currencyCode:
                          nullable: false
                          type: string
                        customer:
                          description: A client or supplier organisation
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                            type:
                              $ref: '#/components/schemas/organization_type'
                          type: object
                        dueDate:
                          $ref: '#/components/schemas/date'
                        id:
                          nullable: false
                          type: integer
                        issuanceDate:
                          $ref: '#/components/schemas/date'
                        legalNumber:
                          nullable: true
                          type: string
                        lines:
                          items:
                            nullable: false
                            properties:
                              article:
                                description: >-
                                  Articles with physical reality (= manage-able
                                  in stock). This table includes all article
                                  types (raw materials, semi-finished, finished
                                  products, consumables, etc.)
                                nullable: true
                                properties:
                                  code:
                                    nullable: true
                                    type: string
                                  id:
                                    nullable: false
                                    type: integer
                                  name:
                                    nullable: false
                                    type: string
                                  unit:
                                    nullable: true
                                    type: string
                                type: object
                              description:
                                nullable: true
                                type: string
                              id:
                                nullable: false
                                type: integer
                              quantity:
                                $ref: '#/components/schemas/numeric'
                              unitPrice:
                                $ref: '#/components/schemas/numeric'
                              vatRate:
                                $ref: '#/components/schemas/numeric'
                            type: object
                          nullable: false
                          type: array
                        netToPay:
                          $ref: '#/components/schemas/numeric'
                        reference:
                          nullable: false
                          type: string
                        site:
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                          type: object
                        state:
                          $ref: '#/components/schemas/invoice_state'
                        totalBeforeTax:
                          $ref: '#/components/schemas/numeric'
                        type:
                          $ref: '#/components/schemas/invoice_type'
                      type: object
                    nullable: false
                    type: array
          description: Response
components:
  schemas:
    organization_type:
      nullable: true
    date:
      nullable: false
    numeric:
      nullable: false
    invoice_state:
      nullable: false
    invoice_type:
      nullable: false

````